# Uses of Class
java.lang.invoke.SwitchPoint

Packages that use SwitchPoint
Package
Description
java.lang.invoke
The `java.lang.invoke` package provides low-level primitives for interacting with the Java Virtual Machine.
jdk.dynalink.linker
Contains interfaces and classes needed by language runtimes to implement their own language-specific object models and type conversions.

## Uses of SwitchPoint in java.lang.invoke

Methods in java.lang.invoke with parameters of type SwitchPoint
Modifier and Type
Method
Description
`static void`
SwitchPoint.`invalidateAll(SwitchPoint[] switchPoints)`
Sets all of the given switch points into the invalid state.

## Uses of SwitchPoint in jdk.dynalink.linker

Methods in jdk.dynalink.linker that return SwitchPoint
Modifier and Type
Method
Description
`SwitchPoint[]`
GuardedInvocation.`getSwitchPoints()`
Returns the switch points that can be used to invalidate the linkage of this invocation handle.
Methods in jdk.dynalink.linker with parameters of type SwitchPoint
Modifier and Type
Method
Description
`GuardedInvocation`
GuardedInvocation.`addSwitchPoint(SwitchPoint newSwitchPoint)`
Create a new guarded invocation with an added switch point.
Constructors in jdk.dynalink.linker with parameters of type SwitchPoint
Modifier
Constructor
Description
``
`GuardedInvocation(MethodHandle invocation, MethodHandle guard, SwitchPoint switchPoint)`
Creates a new guarded invocation, with both a guard method handle and a switch point that can be used to invalidate it.
``
`GuardedInvocation(MethodHandle invocation, MethodHandle guard, SwitchPoint[] switchPoints, Class<? extends Throwable> exception)`
Creates a new guarded invocation, with a guard method handle, any number of switch points that can be used to invalidate it, and an exception that if thrown when invoked also invalidates it.
``
`GuardedInvocation(MethodHandle invocation, MethodHandle guard, SwitchPoint switchPoint, Class<? extends Throwable> exception)`
Creates a new guarded invocation, with a guard method handle, a switch point that can be used to invalidate it, and an exception that if thrown when invoked also invalidates it.
``
`GuardedInvocation(MethodHandle invocation, SwitchPoint switchPoint)`
Creates a new guarded invocation that can be invalidated by a switch point.